Bug 168805 - CAN-2005-2642 Mutt Handler.c Buffer Overflow
CAN-2005-2642 Mutt Handler.c Buffer Overflow
Status: CLOSED NOTABUG
Product: Fedora Legacy
Classification: Retired
Component: mutt (Show other bugs)
rhl7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Fedora Legacy Bugs
http://www.securityfocus.com/bid/14596
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-20 09:57 EDT by John Dalbec
Modified: 2007-04-18 13:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-14 10:08:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Dalbec 2005-09-20 09:57:13 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.5) Gecko/20050729 Netscape/8.0.3.3

Description of problem:
05.34.12 CVE: CAN-2005-2642
Platform: Unix
Title: Mutt Handler.c Buffer Overflow
Description: Mutt is a file browser which is used to send and receive
email and it is prone to a buffer overflow vulnerability. The problem
lies in Mutt's "handler.c" source code, specifically the
"mutt_decode_xbit()" subroutine and the allocation size of the "bufi"
buffer. Mutt version 1.5.10 is vulnerable.
Ref: http://www.securityfocus.com/bid/14596 

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try


Additional info:

Note You need to log in before you can comment on or make changes to this bug.